 DepthStencilState DisableDepth
{
    DepthEnable = FALSE;
    DepthWriteMask = ZERO;
};

Texture2D gShadowMap;

SamplerState gTriLinearSam
{
	Filter = MIN_MAG_MIP_LINEAR;
	AddressU = Wrap;
	AddressV = Wrap;
};

struct VS_IN
{
	float3 posL : POSITION;
	float2 texC : TEXCOORD;
};

struct PS_IN
{
	float4 posH : SV_POSITION;
	float2 texC : TEXCOORD0;
};
 
PS_IN VS(VS_IN vsIn)
{
	PS_IN vsOut;
	vsOut.posH = float4(vsIn.posL, 1.0f);
	vsOut.texC = vsIn.texC;
	return vsOut;
}

float4 PS(PS_IN psIn) : SV_Target
{
	float r = gShadowMap.Sample(gTriLinearSam, psIn.texC).r;

	return float4(r,r,r,1);
}
 
technique10 DrawShadowMapTech
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_4_0, VS() ) );
        SetGeometryShader( NULL );
        SetPixelShader( CompileShader( ps_4_0, PS() ) );

		SetDepthStencilState( DisableDepth, 0 );
    }
}
