cbuffer cbPerFrame
{
	float4x4 gLightWVP;
};

Texture2D gDiffuseMap;
 
SamplerState gTriLinearSam
{
	Filter = MIN_MAG_MIP_LINEAR;
	AddressU = Wrap;
	AddressV = Wrap;
};

struct VS_IN
{
	float3 posL     : POSITION;
	float3 normalL  : NORMAL;
	float2 texC     : TEXCOORD0;
};

struct PS_IN
{
	float4 posH : SV_POSITION;
	float2 texC : TEXCOORD;
};
 
PS_IN VS(VS_IN vIn)
{
	PS_IN vsOut;
	vsOut.posH = mul(float4(vIn.posL, 1.0f), gLightWVP);
	vsOut.texC = vIn.texC;
	
	return vsOut;
}

void PS(PS_IN pIn)
{
	float4 diffuse = gDiffuseMap.Sample( gTriLinearSam, pIn.texC );
	clip(diffuse.a - 0.15f);
}

technique10 BuildShadowMapTech
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_4_0, VS() ) );
        SetGeometryShader( NULL );
        SetPixelShader( CompileShader( ps_4_0, PS() ) );
    }
}
